## org.mortbay.naming
Class InitialContextFactory.DefaultParser

    java.lang.Object
      org.mortbay.naming.InitialContextFactory.DefaultParser

All Implemented Interfaces:
  NameParser

Enclosing class:
  InitialContextFactory

    public static class InitialContextFactory.DefaultParser

extends Object
implements NameParser

Constructor Summary
`InitialContextFactory.DefaultParser()`

Method Summary
`Name` `parse(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextFactory.DefaultParser

    public InitialContextFactory.DefaultParser()

Method Detail

### parse

    public Name parse(String name)
               throws NamingException

  Specified by:
    `parse` in interface `NameParser`
  Throws:
    `NamingException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.